Update Portal Brand Kit
curl --request PATCH \
--url https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-brand-kit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expected_updated_at": 1,
"display_name": "<string>",
"logo": {
"url": "<string>",
"storage_id": "<string>"
},
"primary": "<string>",
"accent": "<string>",
"background": "<string>",
"swatches": [
{
"hex": "<string>",
"name": "<string>"
}
]
}
'import requests
url = "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-brand-kit"
payload = {
"expected_updated_at": 1,
"display_name": "<string>",
"logo": {
"url": "<string>",
"storage_id": "<string>"
},
"primary": "<string>",
"accent": "<string>",
"background": "<string>",
"swatches": [
{
"hex": "<string>",
"name": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expected_updated_at: 1,
display_name: '<string>',
logo: {url: '<string>', storage_id: '<string>'},
primary: '<string>',
accent: '<string>',
background: '<string>',
swatches: [{hex: '<string>', name: '<string>'}]
})
};
fetch('https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-brand-kit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"workspace_id": "<string>",
"palette": {
"primary": "<string>",
"accent": "<string>",
"swatches": [
{
"hex": "<string>",
"name": "<string>"
}
],
"background": "<string>"
},
"created_at": 123,
"updated_at": 123,
"display_name": "<string>",
"logo": {
"url": "<string>",
"storage_id": "<string>"
}
}
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Brand Kit
Update Portal Brand Kit
Update the workspace brand kit for future portal sessions.
PATCH
/
v1
/
workspaces
/
{workspace_id}
/
portal-brand-kit
Update Portal Brand Kit
Authorizations
Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.
Path Parameters
Workspace identifier
Minimum string length:
1Body
application/json
Response
Update Portal Brand Kit
Show child attributes
Show child attributes
Was this page helpful?
⌘I